diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_dependencies_dependents.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_dependencies_dependents.py
new file mode 100644
index 000000000..94cba81b4
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_dependencies_dependents.py
@@ -0,0 +1,93 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as index_constraint_utils
+
+
+class IndexConstraintGetDepenedencyDependentTestCase(BaseTestGenerator):
+    """This class will fetch the index constraint(primary key or unique key)
+    dependency / dependents of table column"""
+    skip_on_database = ['gpdb']
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios(
+        "index_constraint_dependencies_dependents",
+        index_constraint_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a "
+                            "index constraint(primary key or unique key).")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a index "
+                            "constraint(primary key or unique key).")
+
+        # Create table
+        self.table_name = "table_indexconstraint_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint
+        self.constraint_name = self.data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
+    def runTest(self):
+        """This function will fetch the index constraint(primary key or
+        unique key) dependency / dependents of table column."""
+        if self.is_positive_test:
+            if self.is_dependent:
+                self.url = self.url + 'dependent/'
+                response = index_constraint_utils.api_get(self)
+            else:
+                self.url = self.url + 'dependency/'
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
index f838a2f73..e40c56616 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get.py
@@ -8,6 +8,7 @@
 ##########################################################################
 
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -25,20 +26,16 @@ class IndexConstraintGetTestCase(BaseTestGenerator):
     """This class will fetch the index constraint(primary key or unique key) of
     table column"""
     skip_on_database = ['gpdb']
-    primary_key_name = "test_primarykey_delete_%s" % \
-                       (str(uuid.uuid4())[1:8])
-    unique_key_name = "test_uniquekey_delete_%s" % \
-                      (str(uuid.uuid4())[1:8])
-    scenarios = [
-        ('Fetch primary Key constraint of table',
-         dict(url='/browser/primary_key/obj/', name=primary_key_name,
-              type="PRIMARY KEY")),
-        ('Fetch unique Key constraint of table',
-         dict(url='/browser/unique_constraint/obj/', name=unique_key_name,
-              type="UNIQUE"))
-    ]
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("index_constraint_get",
+                                         index_constraint_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -48,6 +45,8 @@ class IndexConstraintGetTestCase(BaseTestGenerator):
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a "
                             "index constraint(primary key or unique key).")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -56,6 +55,8 @@ class IndexConstraintGetTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add a index "
                             "constraint(primary key or unique key).")
+
+        # Create table
         self.table_name = "table_indexconstraint_%s" % \
                           (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server,
@@ -63,22 +64,39 @@ class IndexConstraintGetTestCase(BaseTestGenerator):
                                                   self.schema_name,
                                                   self.table_name)
 
+        # Create constraint
+        self.constraint_name = self.data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
     def runTest(self):
         """This function will fetch the index constraint(primary key or
         unique key) of table column."""
-        index_constraint_id = \
-            index_constraint_utils.create_index_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.name, self.type)
-        response = self.tester.get(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id,
-                                                self.table_id,
-                                                index_constraint_id),
-            follow_redirects=True
-        )
-        self.assertEquals(response.status_code, 200)
+        if self.is_positive_test:
+            if self.is_list:
+                self.data['ids'] = [self.index_constraint_id]
+                response = index_constraint_utils.api_get(self, '')
+            else:
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = index_constraint_utils.api_get(self)
+            elif "index_constraint_id" in self.data:
+                self.index_constraint_id = self.data["index_constraint_id"]
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get_nodes.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get_nodes.py
new file mode 100644
index 000000000..783053bdc
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get_nodes.py
@@ -0,0 +1,102 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as index_constraint_utils
+
+
+class IndexConstraintGetNodesTestCase(BaseTestGenerator):
+    """This class will fetch the index constraint(primary key or unique key)
+    nodes of table column"""
+    skip_on_database = ['gpdb']
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("index_constraint_get_nodes",
+                                         index_constraint_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a "
+                            "index constraint(primary key or unique key).")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a index "
+                            "constraint(primary key or unique key).")
+
+        # Create table
+        self.table_name = "table_indexconstraint_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint
+        self.constraint_name = self.data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
+    def runTest(self):
+        """This function will fetch the index constraint(primary key or
+        unique key) nodes of table column."""
+        if self.is_positive_test:
+            if self.is_list:
+                response = index_constraint_utils.api_get(self, '')
+            else:
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = index_constraint_utils.api_get(self)
+            elif "index_constraint_id" in self.data:
+                self.index_constraint_id = self.data["index_constraint_id"]
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get_statistics.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get_statistics.py
new file mode 100644
index 000000000..cc4207561
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_get_statistics.py
@@ -0,0 +1,102 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as index_constraint_utils
+
+
+class IndexConstraintGetStasticsTestCase(BaseTestGenerator):
+    """This class will fetch the index constraint(primary key or unique key)
+    statistics of  table column"""
+    skip_on_database = ['gpdb']
+
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("index_constraint_get_statistics",
+                                         index_constraint_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a "
+                            "index constraint(primary key or unique key).")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a index "
+                            "constraint(primary key or unique key).")
+
+        # Create table
+        self.table_name = "table_indexconstraint_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint
+        self.constraint_name = self.inventory_data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.inventory_data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
+    def runTest(self):
+        """This function will fetch the index constraint(primary key or
+        unique key) statistics of table column."""
+        if self.is_positive_test:
+            if self.is_list:
+                response = index_constraint_utils.api_get(self, '')
+            else:
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = index_constraint_utils.api_get(self)
+            elif "index_constraint_id" in self.data:
+                self.index_constraint_id = self.data["index_constraint_id"]
+                response = index_constraint_utils.api_get(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_msql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_msql.py
new file mode 100644
index 000000000..ff904f609
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_msql.py
@@ -0,0 +1,96 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2020, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+from unittest.mock import patch
+
+from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
+    import utils as tables_utils
+from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
+    utils as schema_utils
+from pgadmin.browser.server_groups.servers.databases.tests import utils as \
+    database_utils
+from pgadmin.utils.route import BaseTestGenerator
+from regression import parent_node_dict
+from regression.python_test_utils import test_utils as utils
+from . import utils as index_constraint_utils
+
+
+class IndexConstraintGetMsqlTestCase(BaseTestGenerator):
+    """This class will fetch the index constraint(primary key or unique key)
+    modified sql of table column"""
+    skip_on_database = ['gpdb']
+
+    # Generates scenarios from cast_test_data.json file
+    scenarios = utils.generate_scenarios("index_constraint_msql",
+                                         index_constraint_utils.test_cases)
+
+    def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
+        self.db_name = parent_node_dict["database"][-1]["db_name"]
+        schema_info = parent_node_dict["schema"][-1]
+        self.server_id = schema_info["server_id"]
+        self.db_id = schema_info["db_id"]
+        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
+                                                 self.server_id, self.db_id)
+        if not db_con['data']["connected"]:
+            raise Exception("Could not connect to database to add a "
+                            "index constraint(primary key or unique key).")
+
+        # Create schema
+        self.schema_id = schema_info["schema_id"]
+        self.schema_name = schema_info["schema_name"]
+        schema_response = schema_utils.verify_schemas(self.server,
+                                                      self.db_name,
+                                                      self.schema_name)
+        if not schema_response:
+            raise Exception("Could not find the schema to add a index "
+                            "constraint(primary key or unique key).")
+
+        # Create table
+        self.table_name = "table_indexconstraint_%s" % \
+                          (str(uuid.uuid4())[1:8])
+        self.table_id = tables_utils.create_table(self.server,
+                                                  self.db_name,
+                                                  self.schema_name,
+                                                  self.table_name)
+
+        # Create constraint
+        self.constraint_name = self.inventory_data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.inventory_data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
+    def runTest(self):
+        """This function will fetch the index constraint(primary key or
+        unique key) modified sql of table column."""
+        url_encode_data = {"oid": self.index_constraint_id}
+
+        if 'name' in self.data:
+            url_encode_data["name"] = self.data['name']
+
+        if 'comment' in self.data:
+            url_encode_data["comment"] = self.data['comment']
+
+        if self.is_positive_test:
+            response = index_constraint_utils.api_get_msql(self,
+                                                           url_encode_data)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+
+    def tearDown(self):
+        # Disconnect the database
+        database_utils.disconnect_database(self, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
index 6bdf70308..846def450 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/test_index_constraint_put.py
@@ -9,6 +9,7 @@
 
 import json
 import uuid
+from unittest.mock import patch
 
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
@@ -25,22 +26,15 @@ from . import utils as index_constraint_utils
 class IndexConstraintUpdateTestCase(BaseTestGenerator):
     """This class will update index constraint(primary key or unique key) of
     table column"""
-    skip_on_database = ['gpdb']
-    primary_key_name = "test_primarykey_put_%s" % \
-                       (str(uuid.uuid4())[1:8])
-    unique_key_name = "test_uniquekey_put_%s" % \
-                      (str(uuid.uuid4())[1:8])
-    data = {"oid": "", "comment": "this is test comment"}
-    scenarios = [
-        ('Update primary Key constraint of table',
-         dict(url='/browser/primary_key/obj/', name=primary_key_name,
-              type="PRIMARY KEY", data=data)),
-        ('Update unique Key constraint of table',
-         dict(url='/browser/unique_constraint/obj/', name=unique_key_name,
-              type="UNIQUE", data=data))
-    ]
+    # Generates scenarios
+    scenarios = utils.generate_scenarios("index_constraint_put",
+                                         index_constraint_utils.test_cases)
 
     def setUp(self):
+        # Load test data
+        self.data = self.test_data
+
+        # Create db connection
         self.db_name = parent_node_dict["database"][-1]["db_name"]
         schema_info = parent_node_dict["schema"][-1]
         self.server_id = schema_info["server_id"]
@@ -50,6 +44,8 @@ class IndexConstraintUpdateTestCase(BaseTestGenerator):
         if not db_con['data']["connected"]:
             raise Exception("Could not connect to database to add a "
                             "index constraint(primary key or unique key).")
+
+        # Create schema
         self.schema_id = schema_info["schema_id"]
         self.schema_name = schema_info["schema_name"]
         schema_response = schema_utils.verify_schemas(self.server,
@@ -58,6 +54,8 @@ class IndexConstraintUpdateTestCase(BaseTestGenerator):
         if not schema_response:
             raise Exception("Could not find the schema to add a index "
                             "constraint(primary key or unique key).")
+
+        # Create table
         self.table_name = "table_indexconstraint_%s" % \
                           (str(uuid.uuid4())[1:8])
         self.table_id = tables_utils.create_table(self.server,
@@ -65,23 +63,33 @@ class IndexConstraintUpdateTestCase(BaseTestGenerator):
                                                   self.schema_name,
                                                   self.table_name)
 
+        # Create constraint
+        self.constraint_name = self.inventory_data["constraint_name"] + \
+            (str(uuid.uuid4())[1:8])
+        self.type = self.inventory_data["type"]
+        self.index_constraint_id = index_constraint_utils. \
+            create_index_constraint(self.server, self.db_name,
+                                    self.schema_name, self.table_name,
+                                    self.constraint_name, self.type)
+
     def runTest(self):
         """This function will update index constraint(primary key or
         unique key) of table column."""
-        index_constraint_id = \
-            index_constraint_utils.create_index_constraint(
-                self.server, self.db_name, self.schema_name, self.table_name,
-                self.name, self.type)
-        self.data["oid"] = index_constraint_id
-        response = self.tester.put(
-            "{0}{1}/{2}/{3}/{4}/{5}/{6}".format(self.url, utils.SERVER_GROUP,
-                                                self.server_id, self.db_id,
-                                                self.schema_id, self.table_id,
-                                                index_constraint_id
-                                                ),
-            data=json.dumps(self.data),
-            follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.data["oid"] = self.index_constraint_id
+        if self.is_positive_test:
+            response = index_constraint_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+        else:
+            if self.mocking_required:
+                with patch(self.mock_data["function_name"],
+                           side_effect=[eval(self.mock_data["return_value"])]):
+                    response = index_constraint_utils.api_put(self)
+
+            # Assert response
+            utils.assert_status_code(self, response)
+            utils.assert_error_message(self, response)
 
     def tearDown(self):
         # Disconnect the database
